## xmorph 20140707%2Bnmu2

=== debian/changelog ===
xmorph (1:20140707+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using -fgnu89-inline. Closes: #778186.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 20:28:07 +0200

xmorph (1:20140707+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: "fails to upgrade from wheezy - trying to overwrite
    /usr/share/man/man1/morph.1.gz", thanks to Andreas Beckmann (Closes:
    #767834).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sat, 15 Nov 2014 15:47:21 +0100
