## xmorph 20140707+nmu1

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -fgnu89-inline
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
