## xmorph 20140707+nmu2build2

=== debian/changelog ===
xmorph (1:20140707+nmu2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:03:51 +0100
