## xmorph 20140707+nmu2.1

=== debian/changelog ===
xmorph (1:20140707+nmu2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:01:34 +0100
