=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: graphics
 Build-Depends: gettext, libtool, autotools-dev, debhelper (>= 7.0.0),  libx11-dev, libxt-dev, x11proto-core-dev, libxaw7-dev, xbitmaps, texinfo, bsdmainutils, libgtk2.0-dev, libwaili-dev (>= 19990723-16), dh-autoreconf
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.5.0
 Vcs-SVN: svn://svn.code.sf.net/p/xmorph/code/
 Vcs-Browser: https://sourceforge.net/p/xmorph/code/HEAD/tree/
