## xmorph 20150712

=== debian/changelog ===
xmorph (1:20150712-2) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks+Replaces. Closes: #1034986

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Apr 2023 18:19:40 +0200

xmorph (1:20150712-1) unstable; urgency=medium

  * Team upload.
  * Inject latest SVN status (without debian/ dir)
  * Add Homepage field
  * Add fake watch file
  * Maintenance in Debian Phototools Team
  * debian/source/format: 3.0 (quilt)
    Closes: #1007678
  * Short dh
    Closes: #769686
  * Drop unneeded debian/dirs
  * Add debian/salsa-ci.yml
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Remove fields on binary packages that duplicate source:
    + Field Priority from gtkmorph, gtkmorph-example, libmorph, libmorph-dev,
      xmorph.
    + Field Section from gtkmorph, gtkmorph-example, xmorph.
  * DEP5 copyright
  * Drop debian/*.files and debian/*.dirs
  * Drop useless Build-Depends
  * lintian-overrides for native package versioning scheme
  * Install README.html
    Closes: #858516
  * Remove dependency from install-info
    Closes: #1013862

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 15:06:07 +0200
