=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fgnu89-inline

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --with-xmorph --with-gtkmorph --with-gtk=2 --with-waili --without-fftw

execute_after_dh_install:
	find debian -name '*.la' -delete
