=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Release/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# no release numbers in SVN dir layout
#opts="mode=svn,pgpmode=none" \
#http://xmorph.svn.code.sourceforge.net/p/xmorph/code/xmorph-current/ \
#  (\d[\d.]+)/
